View Issue Details

IDProjectCategoryView StatusLast Update
16905Bug reportsSurvey editingpublic2021-04-10 11:18
ReporterDenisChenu Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version3.25.3 
Summary16905: Windows server : good attachment throw JS error (and broke all JS action)
DescriptionAfter fixed https://bugs.limesurvey.org/view.php?id=16903

get JS error
Steps To Reproduce
Additional InformationFixed with `'"'.addslashes(addslashes($attachment['url']))."'" `

At https://github.com/LimeSurvey/LimeSurvey/blob/master/application/views/admin/emailtemplates/email_language_template_tab.php#L67
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.25.3 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)Windows NT LIMESURVEY-1 10.0 build 14393 (Windows Server 2016) AMD64
Webserver software & version (if known)Microsoft-IIS/10.0
PHP Versionphp7.3

Relationships

child of 16903 resolvedp_teichmann Windows server : unable to save attachements 

Activities

DenisChenu

DenisChenu

2020-12-11 15:46

developer  

image001.png (116,323 bytes)
image002.png (28,862 bytes)   
image002.png (28,862 bytes)   

Issue History

Date Modified Username Field Change
2020-12-11 15:46 DenisChenu New Issue
2020-12-11 15:46 DenisChenu File Added: image001.png
2020-12-11 15:46 DenisChenu File Added: image002.png
2020-12-11 15:46 DenisChenu Relationship added child of 16903
2021-03-09 16:50 DenisChenu Assigned To => DenisChenu
2021-03-09 16:50 DenisChenu Status new => assigned
2021-03-14 17:57 DenisChenu Summary Windoiws server : good attachments throw JS error (and broke all JS action) => Windows server : good attachment throw JS error (and broke all JS action)
2021-03-14 18:04 DenisChenu Status assigned => testing
2021-03-16 17:39 DenisChenu Assigned To DenisChenu => ollehar
2021-04-10 11:18 DenisChenu Assigned To ollehar => gabrieljenik
2021-04-10 11:18 DenisChenu Status testing => resolved
2021-04-10 11:18 DenisChenu Resolution open => fixed